Works Great on Firefox 4.0b11 Rated 5 out of 5 stars

I don't understand why the author says that this extension needs a major upgrade for 4.0. It works great for me on FF 4.0b11.

For those who don't know, there are a few ways to make an extension load on a new version of FF. I use the method found here: http://www.mydigitallife.info/2010/07/14/how-to-install-or-force-enable-incompatible-add-ons-in-firefox-4-beta/

This review is for a previous version of the add-on (2.4.2).